dep:
  - v_listes_4
src: |
  SELECT v_listes_4.table_texte || chr(1) AS sort,
      v_listes_4.table_id,
      v_listes_4.table_code,
      (v_listes_4.table_texte ||
          CASE
              WHEN count(DISTINCT
              CASE
                  WHEN v_listes_4.liste_id <> 0 THEN v_listes_4.liste_id
                  ELSE NULL::bigint
              END) > 0 THEN (' ('::text || count(DISTINCT
              CASE
                  WHEN v_listes_4.liste_id <> 0 THEN v_listes_4.liste_id
                  ELSE NULL::bigint
              END)::text) || ')'::text
              ELSE ''::text
          END)::character varying AS texte,
      0 AS liste_id,
      '0'::text AS lvl,
      ''::text AS code,
      '0'::text AS is_cti,
      '0'::text AS is_groupe,
      v_listes_4.table_schema AS schema,
      ''::text AS utilisateur_createur,
      ''::text AS est_partagee_modification,
      '0'::text AS liste_show_omit,
      '0'::text AS liste_is_omit,
      ''::text AS chapitre,
      ''::text AS sous_chapitre,
      '-2'::text AS liste_id_combo
     FROM compta.v_listes_4
    GROUP BY v_listes_4.table_id, v_listes_4.table_code, v_listes_4.table_texte, v_listes_4.table_schema
  UNION ALL
   SELECT (((v_listes_4.table_texte || chr(1)) || v_listes_4.liste_chapitre_sortkey) || v_listes_4.liste_chapitre) || chr(1) AS sort,
      v_listes_4.table_id,
      v_listes_4.table_code,
      (v_listes_4.liste_chapitre ||
          CASE
              WHEN count(DISTINCT v_listes_4.liste_id) > 0 THEN (' ('::text || count(DISTINCT v_listes_4.liste_id)::text) || ')'::text
              ELSE ''::text
          END)::character varying AS texte,
      0 AS liste_id,
      '1'::text AS lvl,
      ''::text AS code,
      '0'::text AS is_cti,
      '0'::text AS is_groupe,
      v_listes_4.table_schema AS schema,
      ''::text AS utilisateur_createur,
      ''::text AS est_partagee_modification,
      '0'::text AS liste_show_omit,
      '0'::text AS liste_is_omit,
      (v_listes_4.liste_chapitre ||
          CASE
              WHEN count(DISTINCT v_listes_4.liste_id) > 0 THEN (' ('::text || count(DISTINCT v_listes_4.liste_id)::text) || ')'::text
              ELSE ''::text
          END)::character varying AS chapitre,
      ''::text AS sous_chapitre,
      '-2'::text AS liste_id_combo
     FROM compta.v_listes_4
    WHERE v_listes_4.liste_id <> 0 AND v_listes_4.liste_chapitre <> ''::text
    GROUP BY v_listes_4.table_id, v_listes_4.table_code, v_listes_4.table_texte, v_listes_4.liste_chapitre, v_listes_4.liste_chapitre_sortkey, v_listes_4.table_schema
  UNION ALL
   SELECT (((((v_listes_4.table_texte || chr(1)) || v_listes_4.liste_chapitre_sortkey) || v_listes_4.liste_chapitre) || chr(1)) || v_listes_4.liste_sous_chapitre::text) || chr(1) AS sort,
      v_listes_4.table_id,
      v_listes_4.table_code,
      (v_listes_4.liste_sous_chapitre::text ||
          CASE
              WHEN count(DISTINCT v_listes_4.liste_id) > 0 THEN (' ('::text || count(DISTINCT v_listes_4.liste_id)::text) || ')'::text
              ELSE ''::text
          END)::character varying AS texte,
      0 AS liste_id,
      '2'::text AS lvl,
      ''::text AS code,
      '0'::text AS is_cti,
      '0'::text AS is_groupe,
      v_listes_4.table_schema AS schema,
      ''::text AS utilisateur_createur,
      ''::text AS est_partagee_modification,
      '0'::text AS liste_show_omit,
      '0'::text AS liste_is_omit,
      (v_listes_4.liste_chapitre ||
          CASE
              WHEN count(DISTINCT v_listes_4.liste_id) > 0 THEN (' ('::text || count(DISTINCT v_listes_4.liste_id)::text) || ')'::text
              ELSE ''::text
          END)::character varying AS chapitre,
      (v_listes_4.liste_sous_chapitre::text ||
          CASE
              WHEN count(DISTINCT v_listes_4.liste_id) > 0 THEN (' ('::text || count(DISTINCT v_listes_4.liste_id)::text) || ')'::text
              ELSE ''::text
          END)::character varying AS sous_chapitre,
      '-2'::text AS liste_id_combo
     FROM compta.v_listes_4
    WHERE v_listes_4.liste_id <> 0 AND v_listes_4.liste_sous_chapitre::text <> ''::text
    GROUP BY v_listes_4.table_id, v_listes_4.table_code, v_listes_4.table_texte, v_listes_4.liste_chapitre, v_listes_4.liste_chapitre_sortkey, v_listes_4.liste_sous_chapitre, v_listes_4.table_schema
  UNION ALL
   SELECT (((((((v_listes_4.table_texte || chr(1)) || v_listes_4.liste_chapitre_sortkey) || v_listes_4.liste_chapitre) || chr(1)) || v_listes_4.liste_sous_chapitre::text) || chr(1)) || v_listes_4.liste_is_omit) || v_listes_4.liste_texte::text AS sort,
      v_listes_4.table_id,
      v_listes_4.table_code,
      v_listes_4.liste_texte AS texte,
      v_listes_4.liste_id,
          CASE
              WHEN v_listes_4.liste_chapitre = ''::text THEN '1'::text
              WHEN v_listes_4.liste_sous_chapitre::text = ''::text THEN '2'::text
              ELSE '3'::text
          END AS lvl,
      v_listes_4.liste_code AS code,
      v_listes_4.liste_is_cti AS is_cti,
      v_listes_4.liste_is_groupe AS is_groupe,
      v_listes_4.table_schema AS schema,
      v_listes_4.liste_utilisateur_createur AS utilisateur_createur,
      v_listes_4.liste_est_partagee_modification AS est_partagee_modification,
      v_listes_4.liste_show_omit,
      v_listes_4.liste_is_omit,
      v_listes_4.liste_chapitre AS chapitre,
      v_listes_4.liste_sous_chapitre AS sous_chapitre,
          CASE
              WHEN v_listes_4.liste_id = 0 THEN '-2'::text
              WHEN v_listes_4.liste_is_omit = '1'::text THEN 'SL'::text || v_listes_4.liste_id::text
              ELSE 'LI'::text || v_listes_4.liste_id::text
          END AS liste_id_combo
     FROM compta.v_listes_4
    WHERE v_listes_4.liste_id <> 0
    ORDER BY 1;